Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.util
Class DynamicClassLoader

    java.lang.Object
      java.lang.ClassLoader
          com.sshtools.j2ssh.util.DynamicClassLoader

public class DynamicClassLoader
extends java.lang.ClassLoader

DOCUMENT ME!

Constructor Summary
`DynamicClassLoader(java.lang.ClassLoader parent, java.util.List classpath)` Creates a new DynamicClassLoader object.

Method Summary
`java.net.URL` | `getResource(java.lang.String name)` DOCUMENT ME!
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)` DOCUMENT ME!
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)` DOCUMENT ME!
`DynamicClassLoader` | `reinstantiate()` DOCUMENT ME!
`boolean` | `shouldReload()` DOCUMENT ME!
`boolean` | `shouldReload(java.lang.String classname)` DOCUMENT ME!

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicClassLoader

    public DynamicClassLoader(java.lang.ClassLoader parent,
                              java.util.List classpath)
                       throws java.lang.IllegalArgumentException

  Creates a new DynamicClassLoader object.

Parameters:
  `parent` - DOCUMENT ME!
  `classpath` - DOCUMENT ME!
Throws:
  `java.lang.IllegalArgumentException` - DOCUMENT ME!

Method Detail

### getResource

    public java.net.URL getResource(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### reinstantiate

    public DynamicClassLoader reinstantiate()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### shouldReload

    public boolean shouldReload(java.lang.String classname)

  DOCUMENT ME!

  Parameters:
    `classname` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### shouldReload

    public boolean shouldReload()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `resolve` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.ClassNotFoundException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD